### Property

# Gtk Button:can-shrink

since: 4.12

#### Declaration

    property can-shrink: gboolean [ read, write ]

#### Description [src]

Whether the size of the button can be made smaller than the natural size of its contents.

For text buttons, setting this property will allow ellipsizing the label.

If the contents of a button are an icon or a custom widget, setting this property has no effect.

Type: | `gboolean`
Available since: | 4.12

Default value | FALSE
Getter method | `gtk_button_get_can_shrink()`
Setter method | `gtk_button_set_can_shrink()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no